## Ms Firmware Id service

Ms Firmware Id service — Support for the Ms Firmware Id service.

## Functions

MbimMessage * | mbim_message_ms_firmware_id_get_query_new ()
gboolean | mbim_message_ms_firmware_id_get_response_parse ()

## Description

This section implements support for requests, responses and notifications in the Ms Firmware Id service.

## Functions

### mbim_message_ms_firmware_id_get_query_new ()

    MbimMessage *
    mbim_message_ms_firmware_id_get_query_new
                                   (GError **error);

Create a new request for the 'Get' query command in the 'MS Firmware ID' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.8

### mbim_message_ms_firmware_id_get_response_parse ()

    gboolean
    mbim_message_ms_firmware_id_get_response_parse
                                   (const MbimMessage *message,
                                    const MbimUuid **out_firmware_id,
                                    GError **error);

Parses and returns parameters of the 'Get' response command in the 'MS Firmware ID' service.

#### Parameters

message | the MbimMessage. |
out_firmware_id | return location for a MbimUuid, or `NULL` if the 'FirmwareId' field is not needed. Do not free the returned value, it is owned by `message` . | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.8